#ifndef SETUP_WINDOW_H
#define SETUP_WINDOW_H

#include <Window.h>
#include <MenuField.h>
#include <Button.h>
#include <String.h>

#include "CreatureAddon.h"
#include "ObjectAddon.h"
#include "Graphics.h"

class SetupWindow : public BWindow
{
	public:
		SetupWindow( BRect );
		virtual ~SetupWindow();
		
		bool QuitRequested();
		void MessageReceived( BMessage * );
		
	protected:
		enum {
			GENERATE,
			NUM_LEVELS
		};
		
		BMenuField	* menuNumLevels;
		BMenuField	* menuPlayerClass;
		
		BButton		* buttonGenerate;
		
		BWindow		* mainWin;
		thread_id	main_thread;
		BMessenger	mainMsgr;
		
		// settings
		int32		num_levels;
		BString		m_player_class;
		
		// used to set player class/race
		CreatureInfoSet	creature_info;
		ObjectInfoSet	object_info;
		Graphics		graphics;
};

#endif
